Subject: bug#41955: 28.0.50; Monorepos and project.el

From: Dmitry Gutov <[email-masked]>
Date: Tue, 23 Jun 2020 00:06:00 +0300

On 22.06.2020 20:17, Felician Nemeth wrote:
> I'm not completely sure, because I haven't really used EDE (the Emacs
> Development Environment), but I think you can specify a project like
> that in EDE.  And project.el supports EDE if I recall correctly.  So
> maybe this complex "monorepo" use-case is already covered by existing
> features of Emacs.

Interesting thought.

The current EDE integration is pretty basic (only project-root, 
basically), but it can be extended fairly quickly, if an EDE project 
contains relevant data.

But that doesn't seem to be the case: it seems to me that EDE uses the 
same "one directory tree" model for the contents of the project. And the 
:include-path and :system-include-path keys we see in the definition 
examples are about code analysis (where to find external type and 
function definitions), and not about describing the main bulk of the 
files belonging to the project.